# Uses of Class
it.tdlight.jni.TdApi.PersonalDetails

## Uses of TdApi.PersonalDetails in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PersonalDetails
Modifier and Type
Field
Description
`TdApi.PersonalDetails`
TdApi.InputPassportElementPersonalDetails.`personalDetails`
Personal details of the user.
`TdApi.PersonalDetails`
TdApi.PassportElementPersonalDetails.`personalDetails`
Personal details of the user.
Constructors in it.tdlight.jni with parameters of type TdApi.PersonalDetails
Modifier
Constructor
Description
``
`InputPassportElementPersonalDetails(TdApi.PersonalDetails personalDetails)`
A Telegram Passport element to be saved containing the user's personal details.
``
`PassportElementPersonalDetails(TdApi.PersonalDetails personalDetails)`
A Telegram Passport element containing the user's personal details.